<template>
  <div class="h-100 d-flex align-center justify-space-between">
    <!-- 👉 Footer: left content -->
    <span class="d-flex align-center">
      © 2020 - {{ currentYear }}, All rights Reserved
      <a
        href="https://capgemini.com"
        target="_blank"
        rel="noopener noreferrer"
        class="text-primary ms-1"
      >
        Capgemini Engineering.
      </a>
      ANA Framework v:{{ build }}
    </span>
  </div>
</template>

<script setup lang="ts">
import { onMounted, ref } from 'vue';

const currentYear = new Date().getFullYear();
const build = ref<string | undefined>(window.BUILD_NUMBER);

onMounted(() => {
  build.value = window.BUILD_NUMBER;
});
</script>
